std::pmr::memory_resource::do_is_equal(3)

NAME
std::pmr::memory_resource::do_is_equal - std::pmr::memory_resource::do_is_equal

Synopsis
   virtual bool do_is_equal( const std::pmr::memory_resource& other ) (since C++17)
   const noexcept = 0;
   Compares *this for equality with other.
   Two memory_resources compare equal if and only if memory allocated from one
   memory_resource can be deallocated from the other and vice versa.

Notes
   The most-derived type of other may not match the most derived type of *this. A
   derived class implementation therefore must typically check whether the most derived
   types of *this and other match using dynamic_cast, and immediately return false if
   the cast fails.

See also
   is_equal compare for equality with another memory_resource
            (public member function)